FloatingTypePayoff Class Reference

Payoff based on a floating strike More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for FloatingTypePayoff:
[legend]

## Public Member Functions

| FloatingTypePayoff (Option::Type type)
Payoff interface
std::string | name () const
Real | operator() (Real price, Real strike) const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from TypePayoff
Option::Type | optionType () const
std::string | description () const
Payoff interface
Visitability

## Additional Inherited Members

Public Types inherited from Payoff
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from TypePayoff
| TypePayoff (Option::Type type)
Protected Attributes inherited from TypePayoff
Option::Type | type_

## Detailed Description

Payoff based on a floating strike

## Member Function Documentation

## name()

std::string name | ( |  | ) | const

virtual

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.